

/****************************************
*   Automatic test program generation   *
*       Thu Jul  7 12:46:43 1988        *
****************************************/

#include "bull2.h"

void main (argc, argv)
int argc;
char **argv;
{
   signal (SIGINT, myQuit);

   Shell1 = XtInitialize (argv[0], "bull2.defs", NULL, 0, &argc, argv);
   XwRegisterConverters();
   display = XtDisplay(Shell1);
/*   XSynchronize(display, 1);   */
   getOptions(argc, argv, &delay, &trace);

   n = 0;
   XtSetArg(args[n], XtNwidth, 400);  n++;
   XtSetArg(args[n], XtNheight, 300);  n++;
   XtSetArg(args[n], XtNallowShellResize, True);  n++;
   XtSetValues(Shell1, args, n);
   XtRealizeWidget(Shell1);
   wait = True;
   while (wait) {
      XGetWindowAttributes(XtDisplay(Shell1), XtWindow(Shell1), &info);
      if (info.map_state == IsViewable) wait = False;
      else sleep(1);
   }
   if (trace) {
      printf("\nXtInitialize:  Shell1 TopLevelShell\n\n");
      printf("XtSetArg:  XtNwidth 400\n");
      printf("XtSetArg:  XtNheight 300\n");
      printf("XtSetArg:  XtNallowShellResize\n");
      printf("XtSetValues:  Shell1\n");
      printf("XtRealizeWidget:  Shell1\n\n");
   }
   flushEvents(delay);

   n = 0;
   ArgSet(XtNwidth, XtRDimension, "300");
   ArgSet(XtNheight, XtRDimension, "200");
   BulletinBoard1 = XtCreateManagedWidget("BulletinBoard1", 
					  XwbulletinWidgetClass, Shell1, 
					  args, n);
   if (trace) printf("XtCreateManagedWidget:  BulletinBoard1 BulletinBoard Shell1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNwidth, XtRDimension, "300");
   ArgSet(XtNheight, XtRDimension, "250");
   XtSetValues(BulletinBoard1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "BulletinBoard1");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNwidth, XtRDimension, "250");
   ArgSet(XtNheight, XtRDimension, "250");
   XtSetValues(BulletinBoard1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "BulletinBoard1");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalOn, XtRBoolean, "True");
   ArgSet(XtNwidth, XtRDimension, "250");
   ArgSet(XtNheight, XtRDimension, "250");
   XtSetValues(BulletinBoard1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "BulletinBoard1");
   flushEvents(delay);

   n = 0;
   Toggle1 = XtCreateManagedWidget("Toggle1", XwtoggleWidgetClass,
      BulletinBoard1, args, n);
   if (trace) printf("XtCreateManagedWidget:  Toggle1 Toggle BulletinBoard1\n\n");
   flushEvents(delay);

   n = 0;
   Toggle2 = XtCreateManagedWidget("Toggle2", XwtoggleWidgetClass,
      BulletinBoard1, args, n);
   if (trace) printf("XtCreateManagedWidget:  Toggle2 Toggle BulletinBoard1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNx, XtRPosition, "200");
   ArgSet(XtNy, XtRPosition, "200");
   XtSetValues(Toggle2, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "Toggle2");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNy, XtRPosition, "200");
   Toggle3 = XtCreateManagedWidget("Toggle3", XwtoggleWidgetClass,
      BulletinBoard1, args, n);
   if (trace) printf("XtCreateManagedWidget:  Toggle3 Toggle BulletinBoard1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNx, XtRPosition, "200");
   Toggle4 = XtCreateManagedWidget("Toggle4", XwtoggleWidgetClass,
      BulletinBoard1, args, n);
   if (trace) printf("XtCreateManagedWidget:  Toggle4 Toggle BulletinBoard1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNx, XtRPosition, "300");
   ArgSet(XtNy, XtRPosition, "100");
   Toggle5 = XtCreateManagedWidget("Toggle5", XwtoggleWidgetClass,
      BulletinBoard1, args, n);
   if (trace) printf("XtCreateManagedWidget:  Toggle5 Toggle BulletinBoard1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalOn, XtRBoolean, "True");
   ArgSet(XwNlayout, XwRLayout, "minimize");
   ArgSet(XtNwidth, XtRDimension, "250");
   ArgSet(XtNheight, XtRDimension, "250");
   XtSetValues(BulletinBoard1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "BulletinBoard1");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNx, XtRPosition, "300");
   ArgSet(XtNy, XtRPosition, "150");
   Toggle6 = XtCreateManagedWidget("Toggle6", XwtoggleWidgetClass,
      BulletinBoard1, args, n);
   if (trace) printf("XtCreateManagedWidget:  Toggle6 Toggle BulletinBoard1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalOn, XtRBoolean, "True");
   ArgSet(XwNlayout, XwRLayout, "minimize");
   ArgSet(XtNwidth, XtRDimension, "250");
   ArgSet(XtNheight, XtRDimension, "250");
   XtSetValues(BulletinBoard1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "BulletinBoard1");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNx, XtRPosition, "300");
   ArgSet(XtNy, XtRPosition, "125");
   Toggle7 = XtCreateManagedWidget("Toggle7", XwtoggleWidgetClass,
      BulletinBoard1, args, n);
   if (trace) printf("XtCreateManagedWidget:  Toggle7 Toggle BulletinBoard1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNx, XtRPosition, "350");
   ArgSet(XtNy, XtRPosition, "125");
   ArgSet(XtNwidth, XtRDimension, "200");
   ArgSet(XtNheight, XtRDimension, "200");
   XtSetValues(Toggle2, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "Toggle2");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNx, XtRPosition, "350");
   ArgSet(XtNy, XtRPosition, "125");
   ArgSet(XtNwidth, XtRDimension, "200");
   ArgSet(XtNheight, XtRDimension, "200");
   ArgSet(XtNborderWidth, XtRDimension, "1");
   XtSetValues(Toggle2, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "Toggle2");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNx, XtRPosition, "350");
   ArgSet(XtNy, XtRPosition, "125");
   ArgSet(XtNwidth, XtRDimension, "200");
   ArgSet(XtNheight, XtRDimension, "100");
   ArgSet(XtNborderWidth, XtRDimension, "1");
   XtSetValues(Toggle2, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "Toggle2");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNx, XtRPosition, "200");
   ArgSet(XtNy, XtRPosition, "200");
   ArgSet(XtNwidth, XtRDimension, "200");
   ArgSet(XtNheight, XtRDimension, "100");
   ArgSet(XtNborderWidth, XtRDimension, "1");
   XtSetValues(Toggle2, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "Toggle2");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalOn, XtRBoolean, "True");
   ArgSet(XwNlayout, XwRLayout, "minimize");
   ArgSet(XtNwidth, XtRDimension, "250");
   ArgSet(XtNheight, XtRDimension, "250");
   XtSetValues(BulletinBoard1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "BulletinBoard1");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNx, XtRPosition, "300");
   ArgSet(XtNy, XtRPosition, "300");
   ArgSet(XtNwidth, XtRDimension, "500");
   ArgSet(XtNheight, XtRDimension, "20");
   ArgSet(XtNborderWidth, XtRDimension, "1");
   Toggle8 = XtCreateManagedWidget("Toggle8", XwtoggleWidgetClass,
      BulletinBoard1, args, n);
   if (trace) printf("XtCreateManagedWidget:  Toggle8 Toggle BulletinBoard1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNx, XtRPosition, "300");
   ArgSet(XtNy, XtRPosition, "300");
   ArgSet(XtNwidth, XtRDimension, "100");
   ArgSet(XtNheight, XtRDimension, "21");
   ArgSet(XtNborderWidth, XtRDimension, "1");
   XtSetValues(Toggle8, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "Toggle8");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNx, XtRPosition, "300");
   ArgSet(XtNy, XtRPosition, "300");
   ArgSet(XtNwidth, XtRDimension, "100");
   ArgSet(XtNheight, XtRDimension, "21");
   ArgSet(XtNborderWidth, XtRDimension, "0");
   XtSetValues(Toggle8, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "Toggle8");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNx, XtRPosition, "300");
   ArgSet(XtNy, XtRPosition, "310");
   ArgSet(XtNwidth, XtRDimension, "100");
   ArgSet(XtNheight, XtRDimension, "21");
   ArgSet(XtNborderWidth, XtRDimension, "0");
   XtSetValues(Toggle8, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "Toggle8");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNborderWidth, XtRDimension, "10");
   ArgSet(XwNtraversalOn, XtRBoolean, "True");
   ArgSet(XwNlayout, XwRLayout, "minimize");
   ArgSet(XtNwidth, XtRDimension, "250");
   ArgSet(XtNheight, XtRDimension, "250");
   XtSetValues(BulletinBoard1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "BulletinBoard1");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNx, XtRPosition, "350");
   ArgSet(XtNy, XtRPosition, "350");
   ArgSet(XtNwidth, XtRDimension, "100");
   ArgSet(XtNheight, XtRDimension, "21");
   Toggle9 = XtCreateManagedWidget("Toggle9", XwtoggleWidgetClass,
      BulletinBoard1, args, n);
   if (trace) printf("XtCreateManagedWidget:  Toggle9 Toggle BulletinBoard1\n\n");
   flushEvents(delay);

   if (trace) printf("XtMainLoop:\n\n");
   XtMainLoop();
}
